## org.gnu.gdk
Class Point

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.Point

public class Point
extends MemStruct

Represents a point with x and y coordinates.

Constructor Summary
`Point()` Construct an empty point
`Point(int x, int y)` Construct a Point providing the x and y coordinates.

Method Summary
`int` `getX()` Retrieve the x coordinate for the Point.
`int` `getY()` Retrieve the y coordinate for the Point.
`void` `setX(int x)` Set the x coordinate for the Point.
`void` `setY(int y)` Set the y coordinate for the Point.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point

    public Point()

  Construct an empty point

### Point

    public Point(int x,
                 int y)

  Construct a Point providing the x and y coordinates.

Parameters:
  `x` -
  `y` -

Method Detail

### getX

    public int getX()

  Retrieve the x coordinate for the Point.

### setX

    public void setX(int x)

  Set the x coordinate for the Point.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate for the Point.

### setY

    public void setY(int y)

  Set the y coordinate for the Point.

  Parameters:
    `y` -